<?php
namespace WorkbloomERP\Module\v0\Contato\Constants;

class PersonalidadeConst {
    public const CONTATO_PERSONALIDADE = [
        'PF' => 'Pessoa Física',
        'PJ' => 'Pessoa Jurídica',
        'EX' => 'Estrangeiro'
    ];

    public static function getAll(): array {
        return self::CONTATO_PERSONALIDADE;
    }

    public static function isValid(string $value): bool {
        return array_key_exists(key: $value, array: self::CONTATO_PERSONALIDADE);
    }

    public static function getDescription(string $key): ?string {
        return self::CONTATO_PERSONALIDADE[$key] ?? null;
    }
}